KPreviewWidgetBase Class Referenceabstract

`#include <kpreviewwidgetbase.h>`

Inheritance diagram for KPreviewWidgetBase:

## Public Slots

virtual void | showPreview (const KURL &url)=0
virtual void | clearPreview ()=0
QStringList | supportedMimeTypes () const

## Public Member Functions

| KPreviewWidgetBase (QWidget *parent, const char *name=0)

## Protected Member Functions

void | setSupportedMimeTypes (const QStringList &mimeTypes)
virtual void | virtual_hook (int, void *)

## Detailed Description

Abstract baseclass for all preview widgets which shall be used via KFileDialog::setPreviewWidget(const KPreviewWidgetBase *).

Ownership will be transferred to KFileDialog, so you have to create the preview with "new" and let KFileDialog delete it.

Just derive your custom preview widget from KPreviewWidgetBase and implement all the pure virtual methods. The slot showPreview(const KURL &) is called every time the file selection changes.

Abstract baseclass for all preview widgets.

Author
  Frerich Raabe raabe.nosp@m.@kde.nosp@m..org

Definition at line 44 of file kpreviewwidgetbase.h.

## Constructor & Destructor Documentation

KPreviewWidgetBase::KPreviewWidgetBase | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

Constructor.

Construct the user interface of your preview widget here and pass the KFileDialog this preview widget is going to be used in as the parent.

Parameters

  parent | The KFileDialog this preview widget is going to be used in
  name | The internal name of this object

Definition at line 20 of file kpreviewwidgetbase.cpp.

## Member Function Documentation

virtual void KPreviewWidgetBase::clearPreview | ( |  | ) |

pure virtual slot

Reimplement this to clear the preview.

This is called when e.g. the selection is cleared or when multiple selections exist, or the directory is changed.

virtual void KPreviewWidgetBase::showPreview | ( | const KURL & | url | ) |

pure virtual slot

This slot is called every time the user selects another file in the file dialog.

Implement the stuff necessary to reflect the change here.

Parameters

  url | The URL of the currently selected file.

The documentation for this class was generated from the following files:

- kpreviewwidgetbase.h
- kpreviewwidgetbase.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys